States
Comments
Drivers rankings
AK
AL
AR
AZ
CA
CO
CT
DC
DE
FL
GA
HI
IA
ID
IL
IN
KS
KY
LA
MA
MD
ME
MI
MN
MO
MS
MT
NC
ND
NE
NH
NJ
NM
NV
NY
OH
OK
OR
PA
RI
SC
SD
TN
TX
UT
VA
VT
WA
WI
WV
WY
New comment
Rules
Selected comments
MIB3338
Anonymous
04/30/21 5:58 PM
One of the worst drivers I have ever seen. Literally swerved infront of another car to get into the rocky median and go 90mph for about a mile and then speed off going around 110.
Reply
Rate this comment:
+
1
-
MKH 813
Jimmy Jose
12/01/16 2:22 PM
Swerving and speeding and cut me off. Almost caused an accident
Reply
Rate this comment:
+
13
-
HUMAN
10/31/25 11:59 PM
good
Reply
Rate this comment:
+
1
-
GA18467
Anonymous
02/03/24 2:36 AM
This truck almost caused a crash and drove erratically
Reply
Rate this comment:
+
1
-
CTKEN
Anonymous
12/18/23 9:23 AM
CinnamonToastKen
Reply
Rate this comment:
+
0
-
More comments »
Pages:
1
, ...,
38740
,
38741
,
38742
,
38743
,
38744
,
38745
,
38746
,
38747
,
38748
,
38749
,
38750
,
38751
,
38752
,
38753
,
38754
,
38755
,
38756
,
38757
,
38758
,
38759
,
38760
, ...,
58587
MS license plates:
RFC 701
RFC 702
RFC 703
RFC 704
RFC 705
RFC 706
RFC 707
RFC 708
RFC 709
RFC 710
RFC 711
RFC 712
RFC 713
RFC 714
RFC 715
RFC 716
RFC 717
RFC 718
RFC 719
RFC 720
RFC 721
RFC 722
RFC 723
RFC 724
RFC 725
RFC 726
RFC 727
RFC 728
RFC 729
RFC 730
RFC 731
RFC 732
RFC 733
RFC 734
RFC 735
RFC 736
RFC 737
RFC 738
RFC 739
RFC 740
RFC 741
RFC 742
RFC 743
RFC 744
RFC 745
RFC 746
RFC 747
RFC 748
RFC 749
RFC 750
RFC 751
RFC 752
RFC 753
RFC 754
RFC 755
RFC 756
RFC 757
RFC 758
RFC 759
RFC 760
RFC 761
RFC 762
RFC 763
RFC 764
RFC 765
RFC 766
RFC 767
RFC 768
RFC 769
RFC 770
RFC 771
RFC 772
RFC 773
RFC 774
RFC 775
RFC 776
RFC 777
RFC 778
RFC 779
RFC 780
RFC 781
RFC 782
RFC 783
RFC 784
RFC 785
RFC 786
RFC 787
RFC 788
RFC 789
RFC 790
RFC 791
RFC 792
RFC 793
RFC 794
RFC 795
RFC 796
RFC 797
RFC 798
RFC 799
RFC 800
RFC 801
RFC 802
RFC 803
RFC 804
RFC 805
RFC 806
RFC 807
RFC 808
RFC 809
RFC 810
RFC 811
RFC 812
RFC 813
RFC 814
RFC 815
RFC 816
RFC 817
RFC 818
RFC 819
RFC 820
RFC 821
RFC 822
RFC 823
RFC 824
RFC 825
RFC 826
RFC 827
RFC 828
RFC 829
RFC 830
RFC 831
RFC 832
RFC 833
RFC 834
RFC 835
RFC 836
RFC 837
RFC 838
RFC 839
RFC 840
RFC 841
RFC 842
RFC 843
RFC 844
RFC 845
RFC 846
RFC 847
RFC 848
RFC 849
RFC 850
RFC 851
RFC 852
RFC 853
RFC 854
RFC 855
RFC 856
RFC 857
RFC 858
RFC 859
RFC 860
RFC 861
RFC 862
RFC 863
RFC 864
RFC 865
RFC 866
RFC 867
RFC 868
RFC 869
RFC 870
RFC 871
RFC 872
RFC 873
RFC 874
RFC 875
RFC 876
RFC 877
RFC 878
RFC 879
RFC 880
RFC 881
RFC 882
RFC 883
RFC 884
RFC 885
RFC 886
RFC 887
RFC 888
RFC 889
RFC 890
RFC 891
RFC 892
RFC 893
RFC 894
RFC 895
RFC 896
RFC 897
RFC 898
RFC 899
RFC 900
RFC 901
RFC 902
RFC 903
RFC 904
RFC 905
RFC 906
RFC 907
RFC 908
RFC 909
RFC 910
RFC 911
RFC 912
RFC 913
RFC 914
RFC 915
RFC 916
RFC 917
RFC 918
RFC 919
RFC 920
RFC 921
RFC 922
RFC 923
RFC 924
RFC 925
RFC 926
RFC 927
RFC 928
RFC 929
RFC 930
RFC 931
RFC 932
RFC 933
RFC 934
RFC 935
RFC 936
RFC 937
RFC 938
RFC 939
RFC 940
RFC 941
RFC 942
RFC 943
RFC 944
RFC 945
RFC 946
RFC 947
RFC 948
RFC 949
RFC 950
RFC 951
RFC 952
RFC 953
RFC 954
RFC 955
RFC 956
RFC 957
RFC 958
RFC 959
RFC 960
RFC 961
RFC 962
RFC 963
RFC 964
RFC 965
RFC 966
RFC 967
RFC 968
RFC 969
RFC 970
RFC 971
RFC 972
RFC 973
RFC 974
RFC 975
RFC 976
RFC 977
RFC 978
RFC 979
RFC 980
RFC 981
RFC 982
RFC 983
RFC 984
RFC 985
RFC 986
RFC 987
RFC 988
RFC 989
RFC 990
RFC 991
RFC 992
RFC 993
RFC 994
RFC 995
RFC 996
RFC 997
RFC 998
RFC 999
RFD 000
Pages:
1
, ...,
38740
,
38741
,
38742
,
38743
,
38744
,
38745
,
38746
,
38747
,
38748
,
38749
,
38750
,
38751
,
38752
,
38753
,
38754
,
38755
,
38756
,
38757
,
38758
,
38759
,
38760
, ...,
58587
Worst drivers in November
FUCK (MD)
THIS (CA)
WEBSITE (CA)
GTA6 (FL)
FUCK (CA)
SITE (CA)
PERKELE (FL)
PAJEET (IN)
NIGGER (MD)
FUCKUSA (CA)
View drivers' rankings from previous months »
Do you like us?
or transfer some Bitcoins to
19DWP5RifL6s1qgQTFr9pnpwqUgUUUxbuM
One of the worst drivers I have ever seen. Literally swerved infront of another car to get into the rocky median and go 90mph for about a mile and then speed off going around 110.